Bug 725694 (CVE-2011-2721)

Summary: CVE-2011-2721 Clam AntiVirus: Off-by-one error by scanning message hashes
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: janfrode, nathanael, nb, ondrejj, redhat-bugzilla, rh-bugzilla, steve, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-09 01:21:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 725695, 725696    
Bug Blocks:    

Description Jan Lieskovsky 2011-07-26 10:29:09 UTC
An off-by-one error was found in the way the hash manager of Clam AntiVirus, a GPL anti-virus toolkit for UNIX, performed scan of messages with certain hashes. A remote attacker could provide a message with specially-crafted hash signature in it, leading to denial of service (clamscan executable crash).

Upstream bug report:
[1] https://wwws.clamav.net/bugzilla/show_bug.cgi?id=2818

Relevant patch:
[2] http://git.clamav.net/gitweb?p=clamav-devel.git;a=commit;h=4842733eb3f09be61caeed83778bb6679141dbc5

Other references:
[3] https://bugzilla.novell.com/show_bug.cgi?id=708263
[4] http://git.clamav.net/gitweb?p=clamav-devel.git;a=blob_plain;f=ChangeLog;hb=clamav-0.97.2
[5] http://www.clamav.net/lang/en/

Comment 1 Jan Lieskovsky 2011-07-26 10:30:39 UTC
This issue affects the versions of the clamav package, as shipped with Fedora release of 14 and 15. Please schedule an update.

--

This issue affects the versions of the clamav package, as present within EPEL-4, EPEL-5, and EPEL-6 repositories. Please schedule an update.

Comment 2 Jan Lieskovsky 2011-07-26 10:31:37 UTC
Created clamav tracking bugs for this issue

Affects: epel-all [bug 725695]
Affects: fedora-all [bug 725696]

Comment 3 Jan Lieskovsky 2011-07-26 10:40:21 UTC
CVE Request:
[6] http://www.openwall.com/lists/oss-security/2011/07/26/3

Comment 4 Vincent Danen 2011-07-26 20:39:02 UTC
This was assigned CVE-2011-2721:

http://www.openwall.com/lists/oss-security/2011/07/26/13